import { ElementRef, EventEmitter, OnChanges, OnDestroy, SimpleChange } from '@angular/core';
/**
 * @element ons-select
 * @directive OnsSelect
 * @selector ons-select
 * @description
 *   [en]Angular 2 directive for `<ons-select>` component.[/en]
 *   [ja]`<ons-select>`要素のAngular 2ディレクティブです。[/en]
 * @example
 *   <ons-select>
 *    <option value="basic">Basic</option>
 *    <option value="material">Material</option>
 *    <option value="underbar">Underbar</option>
 *   </ons-select><br>
 */
export declare class OnsSelect implements OnChanges, OnDestroy {
    private _elementRef;
    private _element;
    private _boundOnChange;
    /**
     * @input value
     * @type {string}
     * @desc
     *   [en]Input value of the `<ons-select>` element..[/en]
     *   [ja]`ons-select`要素に対する入力値を指定します。[/ja]
     */
    _value: string;
    /**
     * @output valueChange
     * @type {string}
     * @desc
     *   [en]Triggers when the value is changed.[/en]
     *   [ja]値が変更された時に発火します。[/ja]
     */
    _valueChange: EventEmitter<string>;
    constructor(_elementRef: ElementRef);
    _onChange(event: any): void;
    ngOnChanges(changeRecord: {
        [key: string]: SimpleChange;
    }): void;
    readonly element: any;
    ngOnDestroy(): void;
}
